﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PetsSample.Model;
using PetsSample.Services;

namespace PetsSample
{
    class Program
    {
        static void Main(string[] args)
        {
            List<Cat> cats = new List<Cat>
                                 {
                                     new Cat { Age = 2, Lives = 9, Color = "hneda" },
                                     new Cat { Age = 3, Lives = 9, Color = "modra" },
                                     new Cat { Age = 1, Lives = 9, Color = "modra" },
                                     new Cat { Age = 7, Lives = 8, Color = "sede" },
                                     new Cat { Age = 4, Lives = 7, Color = "bila" },
                                 };
            

            var selectedCats = cats.Where(cat => cat.Age >= 1);
                

            foreach (var selectedCat in selectedCats)
            {
                Console.WriteLine($"{selectedCat.Color} {selectedCat.Lives} {selectedCat.Age}");
            }

            Cat cat1 = selectedCats.First(cat => cat.Lives < 9
            );

            Console.WriteLine($"{cat1.Lives} {cat1.Age}");

            using (PetsDbContext dbContext = new PetsDbContext())
            {
                dbContext.Cats.Add(cat1);

                dbContext.SaveChanges();
            }

            Console.ReadKey();
        }
    }
}
